void-packages/srcpkgs/dracut/patches/force_poweroff.patch

18 lines
397 B
Diff

--- modules.d/99base/dracut-lib.sh
+++ modules.d/99base/dracut-lib.sh
@@ -1128,11 +1128,11 @@
case "$_emergency_action" in
reboot)
- reboot || exit 1;;
+ reboot -f || exit 1;;
poweroff)
- poweroff || exit 1;;
+ poweroff -f || exit 1;;
halt)
- halt || exit 1;;
+ halt -f || exit 1;;
esac
}